| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfSERRNG Struct Reference
Subscriber Features

Serial Ringing. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
xsd__int * | Duration
| Period of time the primary phone rings before the DNs in the list are dialed. More...
struct unsp__SerialDNList * | SerialDNList
| The list of DNs or alphanumeric SIP URIs to be rung serially. More...
struct unsp__CfSERRNG_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Serial Ringing.

The serial ringing feature provides subscribers the capability to be sequentially rung at a series of locations. The subscriber or the system administrator creates a serial ringing list that contains up to six DNs. These DNs represent the additional locations that ring when an incoming call arrives at the main DN, and the sequence in which they are rung. This feature optionally includes the ability for the caller to instantly transfer to the caller's voice mailbox, rather than waiting for the call to progress through all locations to do so.
MP2 command: CFSERRNG [Attributes]

## Member Data Documentation

## ◆ Duration

xsd__int* unsp__CfSERRNG::Duration

Period of time the primary phone rings before the DNs in the list are dialed.

required: false
default value[range]: 18 [1..120]

## ◆ Enabled

unsp__Enabled* unsp__CfSERRNG::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfSERRNG_locPres* unsp__CfSERRNG::Local

Local Presence flags.

## ◆ SerialDNList

struct unsp__SerialDNList* unsp__CfSERRNG::SerialDNList

The list of DNs or alphanumeric SIP URIs to be rung serially.

required: true, if the feature is enabled

## ◆ Subscribed

enum unsp__Subscribed unsp__CfSERRNG::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h